Page MenuHomeVyOS Platform

"show system-integrity" reports lots of wrong timestamp packages with v1.2.6-epa1
On hold, NormalPublicBUG

Description

The following packages don't fit the image creation time
build time:     2020-08-13 11:57:00
installed: 2020-08-13 12:05:45  netcat
installed: 2020-08-13 12:04:54  libpci3:amd64
installed: 2020-08-13 12:05:30  docutils-doc
installed: 2020-08-13 11:59:19  login
installed: 2020-08-13 12:05:33  libhttp-message-perl
installed: 2020-08-13 12:05:07  libparted2:amd64
installed: 2020-08-13 12:05:13  libnetfilter-conntrack3:amd64
installed: 2020-08-13 12:05:24  libisccfg90
installed: 2020-08-13 12:05:12  dh-python
installed: 2020-08-13 12:01:49  libgcrypt20:amd64
installed: 2020-08-13 12:05:14  libvyatta-cfg1
installed: 2020-08-13 11:59:15  debianutils
installed: 2020-08-13 12:05:16  libnl-genl-3-200:amd64
installed: 2020-08-13 11:59:29  libreadline6:amd64
installed: 2020-08-13 12:05:45  hvinfo
installed: 2020-08-13 12:05:44  vyos-netplug
installed: 2020-08-13 12:05:08  libusb-1.0-0:amd64
installed: 2020-08-13 12:05:16  libnet-ssleay-perl
installed: 2020-08-13 12:05:31  libxml2-utils
installed: 2020-08-13 11:59:17  dmsetup
installed: 2020-08-13 12:05:41  python-lxml
installed: 2020-08-13 12:05:00  logrotate
installed: 2020-08-13 11:59:17  hostname
installed: 2020-08-13 12:05:14  curl
<lots more lines snipped>

Basically, all packages are listed:

tim@ferrari:~$ show system-integrity | wc -l
732

This might be alarming for people if official 1.2.6 is released without this corrected.

v1.2.5 was fine.

Details

Difficulty level
Normal (likely a few hours)
Version
v1.2.6-epa1
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Behavior change

Event Timeline

tjh created this task.Aug 28 2020, 1:09 AM
tjh updated the task description. (Show Details)
hagbard claimed this task.Aug 28 2020, 2:18 AM
hagbard changed the task status from Open to Confirmed.Aug 28 2020, 2:26 AM

Happens also when just using the booted image without install. Investigating.

hagbard changed the task status from Confirmed to In progress.Aug 28 2020, 2:29 AM

/usr/libexec/vyos/op_mode/version.py:
Built on: Thu 13 Aug 2020 11:57 UTC

While:
-rw-r--r-- 1 root root 2721 Aug 13 12:05 /var/lib/dpkg/info/accel-ppp.list

All other files ahve the same, so the build time or how the 'build on' is being set, seems to happen before package installation now, or version.py has an issue, which I think is more likely.

pasik added a subscriber: pasik.Aug 28 2020, 3:42 PM
This comment was removed by hagbard.

It looks like that the build process messed it up, it did create the version file at the beginning of the build, not at the end. After the file usr/share/vyos/version.json was create, pkg installations took place a few minutes alter, that's why everything in the image is newer than the version file, therefore the command output is absolutely correct. I'll check if I can find out what went wrong during the build, since it appears that only 1.2.6 is affected.

hagbard triaged this task as Normal priority.Aug 30 2020, 3:10 PM
hagbard added a project: VyOS 1.3 Equuleus.
hagbard changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
hagbard changed the task status from In progress to On hold.Sat, Nov 14, 3:12 PM
hagbard removed hagbard as the assignee of this task.
hagbard added a subscriber: hagbard.